<article <?php hybrid_attr( 'post' ); ?>>

	<?php if ( is_singular( get_post_type() ) ) : // If viewing a single post. ?>

		<header class="entry-header">

			<h1 <?php hybrid_attr( 'entry-title' ); ?>><?php single_post_title(); ?></h1>

			<div class="entry-byline">		
				<time <?php hybrid_attr( 'entry-published' ); ?>>
					<span class="month"><?php the_time( 'F' ); ?></span>
					<span class="day"><?php the_time( 'd' ); ?></span>
				</time>					
				<span <?php hybrid_attr( 'entry-author' ); ?>><?php _e( 'by ', 'swt' ); the_author_posts_link(); ?></span>
				<?php hybrid_post_terms( array( 'taxonomy' => 'category' ) ); ?>				
				<?php comments_popup_link( '0', '1', '%', 'comments-link', __( 'Off', 'swt' ) ); ?>			
			</div><!-- .entry-byline -->

		</header><!-- .entry-header -->

		<div <?php hybrid_attr( 'entry-content' ); ?>>
			<?php the_content(); ?>
			<?php wp_link_pages(); ?>
		</div><!-- .entry-content -->

		<footer class="entry-footer">
			<?php hybrid_post_terms( array( 'taxonomy' => 'post_tag', 'text' => __( 'Tagged: %s', 'swt' ), 'before' => '<br />' ) ); ?>
		</footer><!-- .entry-footer -->

	<?php else : // If not viewing a single post. ?>

		<?php get_the_image( array( 'size' => 'swt-full', 'image_class' => 'featured-image', 'order' => array( 'featured', 'attachment' ) ) ); ?>

		<header class="entry-header">			
		
			<?php the_title( '<h2 ' . hybrid_get_attr( 'entry-title' ) . '><a href="' . get_permalink() . '" rel="bookmark" itemprop="url">', '</a></h2>' ); ?>

			<div class="entry-byline">		
				<time <?php hybrid_attr( 'entry-published' ); ?>>
					<span class="month"><?php the_time( 'F' ); ?></span>
					<span class="day"><?php the_time( 'd' ); ?></span>
				</time>					
				<span <?php hybrid_attr( 'entry-author' ); ?>><?php _e( 'by ', 'swt' ); the_author_posts_link(); ?></span>
				<?php hybrid_post_terms( array( 'taxonomy' => 'category' ) ); ?>				
				<?php comments_popup_link( '0', '1', '%', 'comments-link', __( 'Off', 'swt' ) ); ?>			
			</div><!-- .entry-byline -->

		</header><!-- .entry-header -->

		<div <?php hybrid_attr( 'entry-summary' ); ?>>
			<p>
				<?php echo get_the_excerpt(); ?>... 
				<a class="more-link" href="<?php the_permalink(); ?>"><?php _e( 'read more', 'swt' ); ?></a>
			</p>
		</div><!-- .entry-summary -->
		
	<?php endif; // End single post check. ?>

</article><!-- .entry -->